%define betaversion beta6

Name: hinetradio
Summary: Tray applet to listen Hinet radio
Version: 1.0
Release: %mkrel -c %betaversion 3
License: GPL
Group: Sound
Source: http://fd.idv.tw/hinetradio/%{name}-%{version}-%{betaversion}.tar.bz2
URL: http://fd.idv.tw/hinetradio
BuildRequires: gtk+2-devel desktop-file-utils curl-devel
BuildRequires: gstreamer0.10-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: gstreamer0.10-ffmpeg gstreamer0.10-mms

%description
Tray applet to listen Hinet radio.

%prep
%setup -q -n %{name}-%{version}-%{betaversion}

%build
%configure2_5x
%make

%install
rm -fr %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="TrayIcon" \
	--add-only-show-in="KDE" \
	--add-only-show-in="GNOME" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%clean
rm -rf %{buildroot}



%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.0-0.beta6.3mdv2009.0
+ Revision: 218437
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Feb 12 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.beta6.3mdv2008.1
+ Revision: 166365
- fix gstreamer0.10-devel BR for x86_64
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 10 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.beta6.3mdv2008.0
+ Revision: 61498
- add only showin
- add fdo category

* Tue Jun 26 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.beta6.2mdv2008.0
+ Revision: 44279
- Requires mms plugin

* Mon Jun 25 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.beta6.1mdv2008.0
+ Revision: 44002
- New version

* Wed Jun 13 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.beta5.1mdv2008.0
+ Revision: 38404
- BuildRequires curl-devel
- New version

* Thu Jun 07 2007 Funda Wang <fundawang@mandriva.org> 1.0-0.beta3.1mdv2008.0
+ Revision: 36221
- gnome-panel is not required
- Use desktop-file-install
- add clean section
- Add post scriptlet
- First package for Mandriva
- Create hinetradio

